/*
	This file is part of lcl.

	lcl is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lcl is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lcl.  If not, see <http://www.gnu.org/licenses/>.
	
	Copyright (C) 2008 - 2009 Lucas Hermann Negri
*/

#ifndef LCL_GETTEXT
#define LCL_GETTEXT

#include "lcl.h"

/**
 * Binds the application translation to specific location.
 * 
 * @param p1 string	Application name
 * @param p2 string Directory name
 */
int lcl_bind_text_domain(lua_State* L);

/**
 * Force a codeset for the translation domain.
 * 
 * @param p1 string	Application name
 * @param p2 string Codeset
 */
int lcl_bind_text_domain_codeset(lua_State* L);

/**
 * Translates a string.
 * 
 * @param str string	String to be translated
 * @return Translated 	string
 */
int lcl_get_text(lua_State* L);

#endif
