/*
	This file is part of lcl.

	lcl is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lcl is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lcl.  If not, see <http://www.gnu.org/licenses/>.
	
	Copyright (C) 2008 - 2009 Lucas Hermann Negri
*/

#include "interface.h"

static const struct luaL_reg lcl [] =
{
	{"version", lcl_version},
	{"bindTextDomain", lcl_bind_text_domain},
	{"bindTextDomainCodeset", lcl_bind_text_domain_codeset},
	{"getText", lcl_get_text},
	{"setLocale", lcl_set_locale},
	{"getField", lcl_get_field},
	{"compareStringAsNumber", lcl_compare_string_as_number},
	{NULL, NULL}
};

int luaopen__lcl(lua_State *L)
{
	/* Register the basic functions */
	luaL_register(L, LIB_NAME, lcl);
	
	/* Initialize the locale struct */
	init_locale();
	
	return 1;
}
